# DataExchange
TKIGES
IGESBasic

# IGESBasic_AssocGroupType Class Reference

defines AssocGroupType, Type <406> Form <23>
in package IGESBasic
Used to assign an unambiguous identification to a Group
Associativity.

`#include <IGESBasic_AssocGroupType.hxx>`

Inheritance diagram for IGESBasic_AssocGroupType:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_AssocGroupType ()
Standard_EXPORT void | Init (const Standard_Integer nbDataFields, const Standard_Integer aType, const Handle(TCollection_HAsciiString)&aName)
| This method is used to set the fields of the class AssocGroupType - nbDataFields : number of parameter data fields = 2 - aType : type of attached associativity - aName : identifier of associativity of type AType .
Standard_EXPORT Standard_Integer | NbData () const
| returns the number of parameter data fields, always = 2
Standard_EXPORT Standard_Integer | AssocType () const
| returns the type of attached associativity
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| returns identifier of instance of specified associativity
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbData
Standard_Integer | theType
Handle_TCollection_HAsciiString | theName

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_AssocGroupType::IGESBasic_AssocGroupType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESBasic_AssocGroupType::AssocType | ( |  | ) | const

Standard_EXPORT const IGESBasic_AssocGroupType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_AssocGroupType::Init | ( | const Standard_Integer | nbDataFields,
|  | const Standard_Integer | aType,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_AssocGroupType::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_AssocGroupType::NbData | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESBasic_AssocGroupType::theName `[private]`

Standard_Integer IGESBasic_AssocGroupType::theNbData `[private]`

Standard_Integer IGESBasic_AssocGroupType::theType `[private]`

| Reimplemented from IGESData_IGESEntity.

The documentation for this class was generated from the following file:

- IGESBasic_AssocGroupType.hxx